Subject: Re: [bitcoin-dev] Crossing the line? [Was: Re: Let's deploy BIP65 CHECKLOCKTIMEVERIFY!]

From: Marcel Jamin <[email-masked]>
Date: Fri, 2 Oct 2015 16:10:10 +0200

2015-10-02 15:14 GMT+02:00 jl2012 via bitcoin-dev <
[email-masked]>:

> According to the Oxford Dictionary, "coin" as a verb means "invent (a new
> word or phrase)". Undoubtedly you created the first functional SPV client
> but please retract the claim "I coined the term SPV" or that's plagiarism.
>
>
Or simply stop pursuing this silly distraction.

> And I'd like to highlight the following excerpt from the whitepaper: "the
> simplified method can be fooled by an attacker's fabricated transactions
> for as long as the attacker can continue to overpower the network. One
> strategy to protect against this would be to accept alerts from network
> nodes when they detect an invalid block, prompting the user's software to
> download the full block and alerted transactions to confirm the
> inconsistency."
>
> Header only clients without any fraud detecting mechanism are functional
> but incomplete SPV implementations, according to Sathoshi's original
> definition. This might be good enough for the first generation SPV wallet,
> but eventually SPV clients should be ready to detect any rule violation in
> the blockchain, including things like block size (as Satoshi mentioned
> "invalid block", not just "invalid transaction").
>
> Mike Hearn via bitcoin-dev 於 2015-10-02 08:23 寫到:
>
>> FWIW the "coining" I am referring to is here:
>>
>> https://bitcointalk.org/index.php?topic=7972.msg116285#msg116285 [4]
>>
>> OK, with that, here goes. Firstly some terminology. I'm going to call
>> these things SPV clients for "simplified payment verification".
>> Headers-only is kind of a mouthful and "lightweight client" is too
>> vague, as there are several other designs that could be described as
>> lightweight like RPC frontend and Stefans WebCoin API approach
>>
>> At that time nobody used the term "SPV wallet" to refer to what apps
>> like BreadWallet or libraries like bitcoinj do. Satoshi used the term
>> "client only mode", Jeff was calling them "headers only client" etc.
>> So I said, I'm going to call them SPV wallets after the section of the
>> whitepaper that most precisely describes their operation.
>>
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>